Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Tue, 11 Oct 2022 22:47:28 +0300

>>> I can also imagine that the initial input outside of a log buffer ought
>>> to just be the last commit.
>>
>> Depends on whether this is one of the most popular workflows.
>
> Seems popular to me, you make a change and want to submit it. The issue
> I have noticed is that vc doesn't allow for an easy way to detect the
> latest revision.  The best I can do is the last revision for the file
> associated with the current buffer.

The last revision currently is supported only by git and hg backends
in vc-git-log-edit-toggle-amend and vc-hg-log-edit-toggle-amend.

> I have done all of the above and am prepared to push the changes, but
> before I do I was wondering if anyone would have any objections to the
> following changes to vc-git.el:

Indeed, abbreviated commits are more usable.  But please wait a little
for more comments.